#include<iostream>
using namespace std;
int main(){
    long long N;
    cin>>N;
    int p[N],m[N], snowmen[N]/*Номер на снежния човек*/[N]/*1- Килограми на последно поставената топка   N-общи килограми*/, kilos=0;
    for(int i=0;i<N;i++){
        for(int a=0;a<N;a++){
            snowmen[i][a]=0;
        }
    }
    for(int i=0;i<N;i++){
        cin>>p[i]>>m[i];
        if(m[i]>0){
            for(int a=0;a<N+1;a++){
                if(snowmen[p[i]-1][a]!=0){
                    snowmen[p[i]][a]=snowmen[p[i]-1][a];
                }
                else{
                    snowmen[p[i]][a]=m[i];
                    break;
                }
            }
            snowmen[1][0]=snowmen[0][0];
        }else{
            for(int a=0;a<N+1;a++){
                if(snowmen[p[i]-1][a]!=0){
                    snowmen[p[i]][a]=snowmen[p[i]-1][a];
                }
                else{
                    snowmen[p[i]][a-1]=0;
                    break;
                }
            }
        }
    }
    long long sum=0;
    for(int i=0;i<N;i++){
            //cout<<endl;
      for(int a=0;a<N;a++){
        //cout<<snowmen[i][a]<<" ";
        sum+=snowmen[i][a];
      }
    }
    if(m[1]>0){
        cout<<sum+snowmen[0][0];
    }else{
        cout<<sum;
    }
    return 0;
}
